
From: Stephen Rothwell <sfr@canb.auug.org.au>

All the asm*/ipc.h files are basically the same (for things that are used)
so I have consolidated them all into asm-generic/ipc.h

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                               |    6 ----
 25-akpm/arch/x86_64/ia32/sys_ia32.c     |    1 
 25-akpm/arch/x86_64/kernel/sys_x86_64.c |    1 
 25-akpm/include/asm-arm/ipc.h           |   30 -----------------------
 25-akpm/include/asm-arm26/ipc.h         |   29 ----------------------
 25-akpm/include/asm-cris/ipc.h          |   36 ----------------------------
 25-akpm/include/asm-frv/ipc.h           |   34 --------------------------
 25-akpm/include/asm-generic/ipc.h       |   31 ++++++++++++++++++++++++
 25-akpm/include/asm-h8300/ipc.h         |   32 ------------------------
 25-akpm/include/asm-i386/ipc.h          |   33 -------------------------
 25-akpm/include/asm-m32r/ipc.h          |   36 ----------------------------
 25-akpm/include/asm-m68k/ipc.h          |   32 ------------------------
 25-akpm/include/asm-m68knommu/ipc.h     |    2 -
 25-akpm/include/asm-mips/ipc.h          |   34 --------------------------
 25-akpm/include/asm-ppc/ipc.h           |   30 -----------------------
 25-akpm/include/asm-ppc64/ipc.h         |   35 ---------------------------
 25-akpm/include/asm-s390/ipc.h          |   41 --------------------------------
 25-akpm/include/asm-sh/ipc.h            |   33 -------------------------
 25-akpm/include/asm-sh64/ipc.h          |    7 -----
 25-akpm/include/asm-sparc/ipc.h         |   33 -------------------------
 25-akpm/include/asm-sparc64/ipc.h       |   34 --------------------------
 25-akpm/include/asm-v850/ipc.h          |   32 ------------------------
 22 files changed, 49 insertions(+), 533 deletions(-)

diff -puN arch/x86_64/ia32/sys_ia32.c~consolidate-asm-ipch arch/x86_64/ia32/sys_ia32.c
--- 25/arch/x86_64/ia32/sys_ia32.c~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/arch/x86_64/ia32/sys_ia32.c	2005-03-23 01:44:16.000000000 -0800
@@ -65,7 +65,6 @@
 #include <asm/types.h>
 #include <asm/uaccess.h>
 #include <asm/semaphore.h>
-#include <asm/ipc.h>
 #include <asm/atomic.h>
 #include <asm/ldt.h>
 
diff -puN arch/x86_64/kernel/sys_x86_64.c~consolidate-asm-ipch arch/x86_64/kernel/sys_x86_64.c
--- 25/arch/x86_64/kernel/sys_x86_64.c~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/sys_x86_64.c	2005-03-23 01:44:16.000000000 -0800
@@ -18,7 +18,6 @@
 #include <linux/personality.h>
 
 #include <asm/uaccess.h>
-#include <asm/ipc.h>
 #include <asm/ia32.h>
 
 /*
diff -puN include/asm-arm26/ipc.h~consolidate-asm-ipch include/asm-arm26/ipc.h
--- 25/include/asm-arm26/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-arm26/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,28 +1 @@
-#ifndef __ASMARM_IPC_H
-#define __ASMARM_IPC_H
-
-/* 
- * These are used to wrap system calls on ARM.
- *
- * See arch/arm/kernel/sys-arm.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-arm/ipc.h~consolidate-asm-ipch include/asm-arm/ipc.h
--- 25/include/asm-arm/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-arm/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,29 +1 @@
-#ifndef __ASMARM_IPC_H
-#define __ASMARM_IPC_H
-
-/* 
- * These are used to wrap system calls on ARM.
- *
- * See arch/arm/kernel/sys-arm.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-cris/ipc.h~consolidate-asm-ipch include/asm-cris/ipc.h
--- 25/include/asm-cris/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-cris/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,35 +1 @@
-#ifndef __CRIS_IPC_H__
-#define __CRIS_IPC_H__
-
-/* 
- * These are used to wrap system calls on CRIS.
- *
- * See arch/cris/kernel/sys_cris.c for ugly details..
- *
- * Same as x86 version.
- *
- */
-struct ipc_kludge {
-	struct msgbuf *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC            25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-frv/ipc.h~consolidate-asm-ipch include/asm-frv/ipc.h
--- 25/include/asm-frv/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-frv/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,33 +1 @@
-#ifndef __ASM_IPC_H__
-#define __ASM_IPC_H__
-
-/*
- * These are used to wrap system calls on FR-V
- *
- * See arch/frv/kernel/sys_frv.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC		25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
-
+#include <asm-generic/ipc.h>
diff -puN /dev/null include/asm-generic/ipc.h
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ 25-akpm/include/asm-generic/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -0,0 +1,31 @@
+#ifndef _ASM_GENERIC_IPC_H
+#define _ASM_GENERIC_IPC_H
+/*
+ * These are used to wrap system calls.
+ *
+ * See architecture code for ugly details..
+ */
+struct ipc_kludge {
+	struct msgbuf __user *msgp;
+	long msgtyp;
+};
+
+#define SEMOP		 1
+#define SEMGET		 2
+#define SEMCTL		 3
+#define SEMTIMEDOP	 4
+#define MSGSND		11
+#define MSGRCV		12
+#define MSGGET		13
+#define MSGCTL		14
+#define SHMAT		21
+#define SHMDT		22
+#define SHMGET		23
+#define SHMCTL		24
+
+/* Used by the DIPC package, try and avoid reusing it */
+#define DIPC            25
+
+#define IPCCALL(version,op)	((version)<<16 | (op))
+
+#endif	/* _ASM_GENERIC_IPC_H */
diff -puN include/asm-h8300/ipc.h~consolidate-asm-ipch include/asm-h8300/ipc.h
--- 25/include/asm-h8300/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-h8300/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,31 +1 @@
-#ifndef __H8300_IPC_H__
-#define __H8300_IPC_H__
-
-/* 
- * These are used to wrap system calls on H8/300.
- *
- * See arch/h8300/kernel/sys_h8300.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC		25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-i386/ipc.h~consolidate-asm-ipch include/asm-i386/ipc.h
--- 25/include/asm-i386/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-i386/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,32 +1 @@
-#ifndef __i386_IPC_H__
-#define __i386_IPC_H__
-
-/* 
- * These are used to wrap system calls on x86.
- *
- * See arch/i386/kernel/sys_i386.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC            25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-m32r/ipc.h~consolidate-asm-ipch include/asm-m32r/ipc.h
--- 25/include/asm-m32r/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-m32r/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,35 +1 @@
-#ifndef __M32R_IPC_H__
-#define __M32R_IPC_H__
-
-/* orig : i386/ipc.h 2.6.0-test3 */
-
-/*
- * These are used to wrap system calls on x86.
- *
- * See arch/i386/kernel/sys_i386.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC            25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif	/* __M32R_IPC_H__ */
-
+#include <asm-generic/ipc.h>
diff -puN include/asm-m68k/ipc.h~consolidate-asm-ipch include/asm-m68k/ipc.h
--- 25/include/asm-m68k/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-m68k/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,31 +1 @@
-#ifndef __m68k_IPC_H__
-#define __m68k_IPC_H__
-
-/*
- * These are used to wrap system calls on m68k.
- *
- * See arch/m68k/kernel/sys_m68k.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC		25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-m68knommu/ipc.h~consolidate-asm-ipch include/asm-m68knommu/ipc.h
--- 25/include/asm-m68knommu/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-m68knommu/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1 +1 @@
-#include <asm-m68k/ipc.h>
+#include <asm-generic/ipc.h>
diff -puN include/asm-mips/ipc.h~consolidate-asm-ipch include/asm-mips/ipc.h
--- 25/include/asm-mips/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-mips/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,33 +1 @@
-#ifndef _ASM_IPC_H
-#define _ASM_IPC_H
-
-/*
- * These are used to wrap system calls on MIPS.
- *
- * See arch/mips/kernel/sysmips.c for ugly details..
- * FIXME: split up into ordinary syscalls ...
- */
-struct ipc_kludge {
-	struct msgbuf *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC		25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif /* _ASM_IPC_H */
+#include <asm-generic/ipc.h>
diff -puN include/asm-ppc64/ipc.h~consolidate-asm-ipch include/asm-ppc64/ipc.h
--- 25/include/asm-ppc64/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-ppc64/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,34 +1 @@
-#ifndef __PPC64_IPC_H__
-#define __PPC64_IPC_H__
-
-/* 
- * These are used to wrap system calls on PowerPC.
- *
- * See arch/ppc64/kernel/syscalls.c for ugly details..
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version
- * 2 of the License, or (at your option) any later version.
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif /* __PPC64_IPC_H__ */
+#include <asm-generic/ipc.h>
diff -puN include/asm-ppc/ipc.h~consolidate-asm-ipch include/asm-ppc/ipc.h
--- 25/include/asm-ppc/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-ppc/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,29 +1 @@
-#ifndef __PPC_IPC_H__
-#define __PPC_IPC_H__
-
-/*
- * These are used to wrap system calls on PowerPC.
- *
- * See arch/ppc/kernel/syscalls.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif /* __PPC_IPC_H__ */
+#include <asm-generic/ipc.h>
diff -puN include/asm-s390/ipc.h~consolidate-asm-ipch include/asm-s390/ipc.h
--- 25/include/asm-s390/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-s390/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,40 +1 @@
-/*
- *  include/asm-s390/ipc.h
- *
- *  S390 version
- *
- *  Derived from "include/asm-i386/ipc.h"
- */
-
-#ifndef __s390_IPC_H__
-#define __s390_IPC_H__
-
-/* 
- * These are used to wrap system calls on S390.
- *
- * See arch/s390/kernel/sys_s390.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC            25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-sh64/ipc.h~consolidate-asm-ipch include/asm-sh64/ipc.h
--- 25/include/asm-sh64/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-sh64/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,6 +1 @@
-#ifndef __ASM_SH64_IPC_H
-#define __ASM_SH64_IPC_H
-
-#include <asm-sh/ipc.h>
-
-#endif /* __ASM_SH64_IPC_H */
+#include <asm-generic/ipc.h>
diff -puN include/asm-sh/ipc.h~consolidate-asm-ipch include/asm-sh/ipc.h
--- 25/include/asm-sh/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-sh/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,32 +1 @@
-#ifndef __ASM_SH_IPC_H
-#define __ASM_SH_IPC_H
-
-/* 
- * These are used to wrap system calls on x86.
- *
- * See arch/i386/kernel/sys_i386.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC            25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif /* __ASM_SH_IPC_H */
+#include <asm-generic/ipc.h>
diff -puN include/asm-sparc64/ipc.h~consolidate-asm-ipch include/asm-sparc64/ipc.h
--- 25/include/asm-sparc64/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-sparc64/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,33 +1 @@
-#ifndef __SPARC64_IPC_H__
-#define __SPARC64_IPC_H__
-
-/* 
- * These are used to wrap system calls on the sparc.
- *
- * See arch/sparc64/kernel/sys_sparc32.c for ugly details..
- */
-struct ipc_kludge {
-	u32 msgp;
-	s32 msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC            25
-
-/* We don't need to maintain backward compatibility on 64bit, we've started fresh */
-#define IPCCALL(version,op)	(op)
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-sparc/ipc.h~consolidate-asm-ipch include/asm-sparc/ipc.h
--- 25/include/asm-sparc/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-sparc/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,32 +1 @@
-#ifndef __SPARC_IPC_H__
-#define __SPARC_IPC_H__
-
-/* 
- * These are used to wrap system calls on the sparc.
- *
- * See arch/sparc/kernel/sys_sparc.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf __user *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define SEMTIMEDOP	 4
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC            25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif
+#include <asm-generic/ipc.h>
diff -puN include/asm-v850/ipc.h~consolidate-asm-ipch include/asm-v850/ipc.h
--- 25/include/asm-v850/ipc.h~consolidate-asm-ipch	2005-03-23 01:44:16.000000000 -0800
+++ 25-akpm/include/asm-v850/ipc.h	2005-03-23 01:44:16.000000000 -0800
@@ -1,31 +1 @@
-#ifndef __V850_IPC_H__
-#define __V850_IPC_H__
-
-/* 
- * These are used to wrap system calls on v850.
- *
- * See arch/v850/kernel/syscalls.c for ugly details..
- */
-struct ipc_kludge {
-	struct msgbuf *msgp;
-	long msgtyp;
-};
-
-#define SEMOP		 1
-#define SEMGET		 2
-#define SEMCTL		 3
-#define MSGSND		11
-#define MSGRCV		12
-#define MSGGET		13
-#define MSGCTL		14
-#define SHMAT		21
-#define SHMDT		22
-#define SHMGET		23
-#define SHMCTL		24
-
-/* Used by the DIPC package, try and avoid reusing it */
-#define DIPC		25
-
-#define IPCCALL(version,op)	((version)<<16 | (op))
-
-#endif /* __V850_IPC_H__ */
+#include <asm-generic/ipc.h>
diff -L include/asm-x86_64/ipc.h -puN include/asm-x86_64/ipc.h~consolidate-asm-ipch /dev/null
--- 25/include/asm-x86_64/ipc.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,6 +0,0 @@
-#ifndef __x8664_IPC_H__
-#define __x8664_IPC_H__
-
-/* dummy */
-
-#endif
_
